# dmxclient.h File Reference

`#include <X11/Xlib.h>`
`#include <X11/Xlibint.h>`
`#include <X11/X.h>`
`#include <X11/Xmd.h>`
`#include <X11/Xproto.h>`
`#include <X11/Xutil.h>`
`#include <X11/Xatom.h>`
`#include <X11/cursorfont.h>`
`#include <X11/Xmu/SysUtil.h>`
`#include <X11/extensions/shape.h>`
`#include <X11/extensions/Xrender.h>`
`#include <X11/extensions/XKB.h>`
`#include "xkbstr.h"`
`#include <X11/extensions/XI.h>`
`#include <X11/extensions/XInput.h>`
`#include <X11/extensions/Xext.h>`
`#include <X11/XKBlib.h>`
`#include <X11/extensions/XKBproto.h>`
`#include <X11/extensions/XIproto.h>`

Go to the source code of this file.

## Defines

#define | GC XlibGC

## Variables

int | ProximityIn
int | ProximityOut
int | DeviceValuator
int | DeviceMotionNotify
int | DeviceFocusIn
int | DeviceFocusOut
int | DeviceStateNotify
int | DeviceMappingNotify
int | ChangeDeviceNotify

## Detailed Description

This file includes all client-side include files with proper wrapping.

## Define Documentation

#define GC XlibGC

Referenced by dmxConfigCanvasUpdate().

## Variable Documentation

int ChangeDeviceNotify

Referenced by dmxCommonOthOn(), and dmxTranslateAndEnqueueExtEvent().

int DeviceFocusIn

Referenced by dmxCommonOthOn(), and dmxTranslateAndEnqueueExtEvent().

int DeviceFocusOut

Referenced by dmxCommonOthOn(), and dmxTranslateAndEnqueueExtEvent().

int DeviceMappingNotify

Referenced by dmxCommonOthOn(), and dmxTranslateAndEnqueueExtEvent().

int DeviceMotionNotify

Referenced by dmxCommonOthOn(), and dmxExtMotion().

int DeviceStateNotify

Referenced by dmxCommonOthOn(), and dmxTranslateAndEnqueueExtEvent().

int DeviceValuator

Referenced by dmxExtMotion(), and dmxTranslateAndEnqueueExtEvent().

int ProximityIn

Referenced by dmxCommonOthOn(), dmxEnqueue(), and dmxTranslateAndEnqueueExtEvent().

int ProximityOut

Referenced by dmxCommonOthOn(), dmxEnqueue(), and dmxTranslateAndEnqueueExtEvent().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>